﻿@using PagedList;
@using PagedList.Mvc;

@model IPagedList<ProjectUni.Models.Videos>

@*@model IEnumerable<ProjectUni.Models.Videos>*@

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}
<div class="col-xs-12">
    <div class="box">
        <div class="box-body">
            <h2>Index</h2>

            <div>
                @Html.ActionLink("Create New", "Create")
                <spam class="pull-right" style="margin-top:50px">
                    @using (Html.BeginForm("Index", "Videos", FormMethod.Get))
                    {

                        @*@Html.Label("Search by Title")<br />*@
                        <input type="text" style="padding-right:30px;margin-bottom:20px" placeholder="By Topic Name Only" name="search" />
                        <input type="submit" value="Search" />
                    }
                </spam>
            </div>
            <table class="table">
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.First().topics.TName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().Name)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().URL)
                    </th>
                    <th></th>
                </tr>

                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.topics.TName)
                        </td>
                        <td>
                            <a href="@item.URL">@item.Name</a>
                            @*@Html.DisplayFor(modelItem => item.Name)*@
                        </td>
                        @*<td>
                        @Html.DisplayFor(modelItem => item.URL)
                    </td>*@
                        <td>
                            @Html.ActionLink("Edit", "Edit", new { id = item.V_ID }) |
                            @Html.ActionLink("Details", "Details", new { id = item.V_ID }) |
                            @Html.ActionLink("Delete", "Delete", new { id = item.V_ID })
                        </td>
                    </tr>
                }
                @Html.PagedListPager(Model, page => Url.Action("Index", new { page }))
            </table>
        </div>
    </div>
</div>
